<div class="p-20">
  <div class="pb-20">
    <div class="breadcrumbs ">
      <a class="breadcrumbs__item"
          [routerLink]="['../../']">
        <!--<mat-icon svgIcon="arrow-left"></mat-icon>-->
        <span>
			Список приемных кампаний
		</span>
      </a>
      <ng-container *ngIf="idCampaign">
        <span> /</span>
        <a class="breadcrumbs__item"
            [routerLink]="['../../', idCampaign, 'achievement']">
          <!--<mat-icon svgIcon="arrow-left"></mat-icon>-->
          <span >
				     Конкурсные группы
				</span>
        </a>

      </ng-container>

    </div>
    <div>
      <h2 fxFlex="">Создание индивидуального достижения</h2>
      <button
          class="adding_achievement__button-create"
          type="submit" mat-raised-button
          color="primary"
          [disabled]="achievementForm.invalid"
          (click)="create()"
      >Создать
      </button>
    </div>




  </div>


  <mat-card class="art-card">
    <mat-card-content>
      <form [formGroup]="achievementForm">

        <div fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="16px">
          <mat-form-field appearance="fill" fxFlex="" fxFlex.lt-md="100">
            <mat-label>Приемная кампания</mat-label>
            <mat-select formControlName="id_campaign" required [disabled]="idCampaign >= 0">
              <ngx-mat-select-search
                [placeholderLabel]="'Поиск'"
                [noEntriesFoundLabel]="'Данные не найдены'"
                [formControl]="searchOrg">
                <mat-icon ngxMatSelectSearchClear svgIcon="close"></mat-icon>
              </ngx-mat-select-search>
              <mat-option [value]="item.id" *ngFor="let item of cls.campaign.data">
                {{item.name}}
              </mat-option>
            </mat-select>
          </mat-form-field>
        </div>

        <div fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="16px">


          <mat-form-field appearance="fill" fxFlex="" fxFlex.lt-md="100">
            <mat-label>Категория</mat-label>
            <mat-select formControlName="id_category" required>
              <ngx-mat-select-search
                [placeholderLabel]="'Поиск'"
                [noEntriesFoundLabel]="'Данные не найдены'"
                [formControl]="searchCat">
                <mat-icon ngxMatSelectSearchClear svgIcon="close"></mat-icon>
              </ngx-mat-select-search>
              <mat-option [value]="item.id" *ngFor="let item of cls.campaign.category">

                {{item.name}}
              </mat-option>
            </mat-select>
          </mat-form-field>
        </div>

        <div fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="16px">
          <mat-form-field appearance="fill" fxFlex="50" fxFlex.lt-md="100">
            <mat-label>Наименование индивидуального достижения</mat-label>
            <input matInput
                   formControlName="name"
                   required>
          </mat-form-field>

          <mat-form-field appearance="fill" fxFlex="" fxFlex.lt-md="100">
            <mat-label>Балл</mat-label>
            <input matInput appInteger formControlName="max_value" maxLength="3" required>
          </mat-form-field>

          <mat-form-field appearance="fill" fxFlex="" fxFlex.lt-md="100">
            <mat-label>Идентификатор (UID)</mat-label>
            <input matInput placeholder="до 36 символов" formControlName="uid" appNullValue>
          </mat-form-field>

        </div>
      </form>
    </mat-card-content>


  </mat-card>
</div>
